This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 810665 - SELinux is preventing /var/lib/boinc/projects/radioactiveathome.org_boinc/radac_1.51_i686-pc-linux-gnu__nci from read, write access on the chr_file 043.
SELinux is preventing /var/lib/boinc/projects/radioactiveathome.org_boinc/rad...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:357f8cfc6df23a81d6e3b51ba99...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 17:54 EDT by bernd.endner
Modified: 2013-02-13 13:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:54:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bernd.endner 2012-04-07 17:54:24 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc16.x86_64
reason:         SELinux is preventing /var/lib/boinc/projects/radioactiveathome.org_boinc/radac_1.51_i686-pc-linux-gnu__nci from read, write access on the chr_file 043.
time:           Sa 07 Apr 2012 23:47:29 CEST

description:
:SELinux is preventing /var/lib/boinc/projects/radioactiveathome.org_boinc/radac_1.51_i686-pc-linux-gnu__nci from read, write access on the chr_file 043.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that radac_1.51_i686-pc-linux-gnu__nci should be allowed read write access on the 043 chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep radac_1.51_i686 /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:boinc_project_t:s0
:Target Context                system_u:object_r:usb_device_t:s0
:Target Objects                043 [ chr_file ]
:Source                        radac_1.51_i686
:Source Path                   /var/lib/boinc/projects/radioactiveathome.org_boin
:                              c/radac_1.51_i686-pc-linux-gnu__nci
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-8.fc16.x86_64 #1 SMP Thu Mar 29 18:37:19 UTC
:                              2012 x86_64 x86_64
:Alert Count                   227
:First Seen                    Do 22 Mär 2012 16:58:21 CET
:Last Seen                     Sa 07 Apr 2012 23:39:51 CEST
:Local ID                      8de33523-dca0-47c9-88c3-dfe5ab5ce26e
:
:Raw Audit Messages
:type=AVC msg=audit(1333834791.307:329): avc:  denied  { read write } for  pid=12816 comm="radac_1.53_i686" name="043" dev="devtmpfs" ino=88214 scontext=system_u:system_r:boinc_project_t:s0 tcontext=system_u:object_r:usb_device_t:s0 tclass=chr_file
:
:
:Hash: radac_1.51_i686,boinc_project_t,usb_device_t,chr_file,read,write
:
:audit2allow
:
:#============= boinc_project_t ==============
:allow boinc_project_t usb_device_t:chr_file { read write };
:
:audit2allow -R
:
:#============= boinc_project_t ==============
:allow boinc_project_t usb_device_t:chr_file { read write };
:
Comment 1 Miroslav Grepl 2012-04-10 04:06:02 EDT
Does everything work correctly?
Comment 2 bernd.endner 2012-04-22 15:32:59 EDT
sorry for late answer, yes, everything is working, no kown problems.
Comment 3 Fedora End Of Life 2013-01-16 10:45:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 13:54:40 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.